import request from '@/utils/request'


export function createChatRoom(data) {
  return request({
    url: '/sse/createChatRoom',
    method: 'post',
    data: data
  })
}
export function tosendInputMessage(data){
  return request({
    url: '/sse/toSendInputMessage',
    method: 'post',
    data: data
  })
}

export function readChatMessage(data){
  return request({
    url: '/common/messageChat/readMessage',
    method: 'post',
    data: data
  })

}
export function getChatRoomByQuery(data){
  return request({
    url: '/common/messageChat/getChatRoomByQuery',
    method: 'get',
    params: data
  })
}
export function getUnReadTotal(){
  return request({
    url: '/common/messageChat/getUnreadTotal',
    method: 'get',
  })
}

